Skip to main content
GET
/
api
/
board
/
{boardId}
/
configuration
/
options
Get board options
curl --request GET \
  --url https://core-api.getaptly.com/api/board/{boardId}/configuration/options \
  --header 'x-token: <api-key>'
{
  "data": {
    "minCallDuration": 123,
    "boardEmailOnlyParsedCards": true,
    "displayFieldNames": true,
    "agingIndicator": true,
    "applicationFeatures": true,
    "applicationLinking": true,
    "defaultContactType": "<string>",
    "updateBadgeField": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getaptly.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-token
string
header
required

Path Parameters

boardId
string
required

Response

Board options.

data
object

Configurable board-level settings. All fields are optional — only include the ones you want to change on PATCH.